2018-04-21 12:48 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002534NetSurfRISC OS-specificpublic2018-01-20 18:55
ReporterSprow 
Assigned ToVincent Sanders 
SeveritytweakReproducibilityalways 
StatusresolvedResolutionfixed 
Product Version3.6 
Target Version3.8Fixed in Version3.8 
Summary0002534: ChkSprites utility doesn't verify the OS can actually plot alpha sprites
DescriptionChkSprites uses OS_SpriteOp 17 (verify area) to decide whether to use the alpha sprites versus plain masked sprites. However, with an updated SpriteExtend loaded on an older OS, the verify passes because the area is indeed valid, it's just the OS has no idea how to plot them.

This results in a corrupt quarter width sprite in the Filer/icon bar.
Additional InformationThe attached ChkSprites is improved in 2 ways
a) it doesn't waste time loading the ASprites file off disc, it just creates a 1x1 sprite in memory
b) it asks the kernel whether it can plot alpha sprites, and qualifies that with the previous area check

Tested on RISC OS Select 6.16, also 4.02 with softloaded SpriteExtend, and RISC OS 5.23.
TagsNo tags attached.
Fixed in CI build #4295
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Sprow

~0001690

Sprow (reporter)

Bump.

The history says "Fixed in Version 3.7", but it's not there in the 3.7 download, presumably it just needs putting in Git?
Michael Drake

~0001710

Michael Drake (administrator)

Thanks, should be fixed in build #4295.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-06 09:46 Sprow New Issue
2017-05-06 09:46 Sprow File Added: chkspr.zip
2017-06-09 20:48 Vincent Sanders Assigned To => Vincent Sanders
2017-06-09 20:48 Vincent Sanders Status new => confirmed
2017-06-09 20:48 Vincent Sanders Fixed in Version => 3.7
2017-12-05 18:44 Sprow Note Added: 0001690
2018-01-20 18:55 Michael Drake Fixed in Version 3.7 => 3.8
2018-01-20 18:55 Michael Drake Target Version => 3.8
2018-01-20 18:55 Michael Drake Fixed in CI build # => 4295
2018-01-20 18:55 Michael Drake Note Added: 0001710
2018-01-20 18:55 Michael Drake Status confirmed => resolved
2018-01-20 18:55 Michael Drake Resolution open => fixed
+Issue History